/* GenericLinkButton */
.generic-btn {
    display: flex;
    justify-content: space-between;
    text-decoration: none;
    min-width: fit-content;
    min-height: 56px;
    height: fit-content;
    border: 1px solid #FFFFFF;
}

.generic-btn .left {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: fit-content;
    width: calc(100% - 56px);
    line-height: 20.14px;
    padding: 17px 38px;
    height: auto;
    background: #FFF;
    letter-spacing: 1px;
    text-align: center;
    white-space: nowrap;
    font-weight: unset;
}

.generic-btn .left p {
    font-size: 18px;
    font-family: var(--font-frutiger-bold);
    color: #000;
}

.generic-btn .right {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 54px;/*56px*/
    height: auto;
    position: relative;
    overflow: hidden;
}

.generic-btn .right .chevron-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 24px;
    position: relative;
    transition: transform 0.3s ease;
}

.generic-btn .right .chevron-container .chevron-line {
    position: absolute;
    width: 12px;
    height: 2px;
    background-color: #FFFFFF;
    border-radius: 10px;
}

.generic-btn .right .chevron-container .chevron-line-1 {
    top: 7px;
    transform: rotate(44deg);
}

.generic-btn .right .chevron-container .chevron-line-2 {
    top: 14px;
    transform: rotate(-44deg);
}

.generic-btn:hover .right .chevron-container {
    transform: translateX(3px);
}

/* transparent-btn */
.generic-btn.transparent-btn {
    border: 1px solid #FFFFFF;
}
.generic-btn.transparent-btn .left {
    background-color: #FFFFFF;
}
.generic-btn.transparent-btn .left p {
    color: #000000;
}
.generic-btn.transparent-btn .right {
    background-color: transparent;
}
.generic-btn.transparent-btn .right .chevron-container .chevron-line {
    background-color: #FFFFFF;
}

/* black-btn */
.generic-btn.black-btn {
    border: 1px solid #000000;
}
.generic-btn.black-btn .left {
    background-color: #FFFFFF;
}
.generic-btn.black-btn .left p {
    color: #000000;
}
.generic-btn.black-btn .right {
    background-color: #000000;
}
.generic-btn.black-btn .right .chevron-container .chevron-line {
    background-color: #FFFFFF;
}

/* white-btn */
.generic-btn.white-btn {
    border: 1px solid #FFFFFF;
    border-right: unset;
}
.generic-btn.white-btn .left {
    background-color: transparent;
}
.generic-btn.white-btn .left p {
    color: #FFFFFF;
}

.generic-btn.white-btn .right {
    background-color: transparent;
    overflow-x: hidden;
}

.generic-btn.white-btn .right:before {
    content: "";
    width: 100%;
    height: 103%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-image: url("/CSM/img/icons/icon-arrow-background-white.svg");
    transition: all .3s linear;
}

.generic-btn:hover .right:before {
    transform: translate(7px);
}

.generic-btn.white-btn .right:after {
    transition: all .3s linear;
    content: "";
    position: absolute;
    left: 0;
    width: 10px;
    height: calc(100% + 1px);
    background: #ffffff;
}

.generic-btn:hover .right:after {
    width: 8px;
}

.generic-btn.white-btn .right .chevron-container {
    display: none;
}

@media (max-width: 600px) {

    /* GENERIC BUTTON */
    .generic-btn:hover .right .chevron-container {
        transform: unset;
    }
}